--
-- Definition of a dual port ROM for KCPSM3 program defined by midictrl.psm with JTAG
-- interface for subsequent in circuit modifications.
--
-- Generated by KCPSM3 Assembler 14Feb2011-07:03:45. 
--
-- Standard IEEE libraries
--
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
--
-- The Unisim Library is used to define Xilinx primitives. It is also used during
-- simulation. The source can be viewed at %XILINX%\vhdl\src\unisims\unisim_VCOMP.vhd
--  
library unisim;
use unisim.vcomponents.all;
--
--
entity midictrl is
    Port (      address : in std_logic_vector(9 downto 0);
            instruction : out std_logic_vector(17 downto 0);
             proc_reset : out std_logic;
                    clk : in std_logic);
    end midictrl;
--
architecture low_level_definition of midictrl is
--
-- Declare signals internal to this module
--
signal jaddr     : std_logic_vector(10 downto 0);
signal jparity   : std_logic_vector(0 downto 0);
signal jdata     : std_logic_vector(7 downto 0);
signal doa       : std_logic_vector(7 downto 0);
signal dopa      : std_logic_vector(0 downto 0);
signal tdo1      : std_logic;
signal tdo2      : std_logic;
signal update    : std_logic;
signal shift     : std_logic;
signal reset     : std_logic;
signal tdi       : std_logic;
signal sel1      : std_logic;
signal drck1     : std_logic;
signal drck1_buf : std_logic;
signal sel2      : std_logic;
signal drck2     : std_logic;
signal capture   : std_logic;
signal tap5      : std_logic;
signal tap11     : std_logic;
signal tap17     : std_logic;
--
-- Attributes to define ROM contents during implementation synthesis. 
-- The information is repeated in the generic map for functional simulation
--
attribute INIT_00 : string; 
attribute INIT_01 : string; 
attribute INIT_02 : string; 
attribute INIT_03 : string; 
attribute INIT_04 : string; 
attribute INIT_05 : string; 
attribute INIT_06 : string; 
attribute INIT_07 : string; 
attribute INIT_08 : string; 
attribute INIT_09 : string; 
attribute INIT_0A : string; 
attribute INIT_0B : string; 
attribute INIT_0C : string; 
attribute INIT_0D : string; 
attribute INIT_0E : string; 
attribute INIT_0F : string; 
attribute INIT_10 : string; 
attribute INIT_11 : string; 
attribute INIT_12 : string; 
attribute INIT_13 : string; 
attribute INIT_14 : string; 
attribute INIT_15 : string; 
attribute INIT_16 : string; 
attribute INIT_17 : string; 
attribute INIT_18 : string; 
attribute INIT_19 : string; 
attribute INIT_1A : string; 
attribute INIT_1B : string; 
attribute INIT_1C : string; 
attribute INIT_1D : string; 
attribute INIT_1E : string; 
attribute INIT_1F : string; 
attribute INIT_20 : string; 
attribute INIT_21 : string; 
attribute INIT_22 : string; 
attribute INIT_23 : string; 
attribute INIT_24 : string; 
attribute INIT_25 : string; 
attribute INIT_26 : string; 
attribute INIT_27 : string; 
attribute INIT_28 : string; 
attribute INIT_29 : string; 
attribute INIT_2A : string; 
attribute INIT_2B : string; 
attribute INIT_2C : string; 
attribute INIT_2D : string; 
attribute INIT_2E : string; 
attribute INIT_2F : string; 
attribute INIT_30 : string; 
attribute INIT_31 : string; 
attribute INIT_32 : string; 
attribute INIT_33 : string; 
attribute INIT_34 : string; 
attribute INIT_35 : string; 
attribute INIT_36 : string; 
attribute INIT_37 : string; 
attribute INIT_38 : string; 
attribute INIT_39 : string; 
attribute INIT_3A : string; 
attribute INIT_3B : string; 
attribute INIT_3C : string; 
attribute INIT_3D : string; 
attribute INIT_3E : string; 
attribute INIT_3F : string; 
attribute INITP_00 : string;
attribute INITP_01 : string;
attribute INITP_02 : string;
attribute INITP_03 : string;
attribute INITP_04 : string;
attribute INITP_05 : string;
attribute INITP_06 : string;
attribute INITP_07 : string;
--
-- Attributes to define ROM contents during implementation synthesis.
--
attribute INIT_00 of ram_1024_x_18 : label is  "EF3DCFF2CFF9CFF80F000B000800070006000500040001000A000000C2FF0113";
attribute INIT_01 of ram_1024_x_18 : label is  "AAFE603E4020AAFD603F50152A02541E2A01547F2A04C001EF000FFFCFF10F40";
attribute INIT_02 of ram_1024_x_18 : label is  "50484B0550444B04503F4B03503A4B0250354B01504E4B0054662080501540FE";
attribute INIT_03 of ram_1024_x_18 : label is  "0B0440150B7F501540000B0340150B7F5015407F0B02401550154B7F504B4B06";
attribute INIT_04 of ram_1024_x_18 : label is  "5062C4014015D0E00B7F40151E000B064015CEE01E000B0540150B7F50154000";
attribute INIT_05 of ram_1024_x_18 : label is  "0F7F50602F800F005C5D9FE00E0A0E064E081F60401550564280505642901600";
attribute INIT_06 of ram_1024_x_18 : label is  "40150B00547040F7547442F0A30FA2F01300120040151450CA041700401516F0";
attribute INIT_07 of ram_1024_x_18 : label is  "AAFB401515400401407D0402507C42D0507C42C019000B0040150B01541540F0";
attribute INIT_08 of ram_1024_x_18 : label is  "50ED42B0510642A05097429050D34280A2F01210119054155DF04D02AF0F1F90";
attribute INIT_09 of ram_1024_x_18 : label is  "1D608801509F483CF680C614C7F950D347004015510342E0510142D0510642C0";
attribute INIT_0A of ram_1024_x_18 : label is  "1FD05CB09FE04E051FD0CFF401071FD050A92F801FD05CA69FE04E041FD0CDD0";
attribute INIT_0B of ram_1024_x_18 : label is  "1FD0CFF601071FD050BD2F801FD05CBA9FE04E061FD0CFF501071FD050B32F80";
attribute INIT_0C of ram_1024_x_18 : label is  "54CECD010D0CCFF80F0050154700CFF701071FD050C72F801FD05CC49FE04E07";
attribute INIT_0D of ram_1024_x_18 : label is  "8E0150E65D801DE054E45F607FE00E0050EAC80150EA4800C6144015CFF80F01";
attribute INIT_0E of ram_1024_x_18 : label is  "C7F354F146014015CFF80F0040A188017D80C80140D98E0140DD8D01FFD07FE0";
attribute INIT_0F of ram_1024_x_18 : label is  "08005415467B4015C7FB54FD46114015C7FA54F946104015C7FC54F546404015";
attribute INIT_10 of ram_1024_x_18 : label is  "0E060E060E068F0C41088E01590CCF0C0E0040154015C6F2C7F14015C7F040EA";
attribute INIT_11 of ram_1024_x_18 : label is  "0186056C018605610186056E0186056F01860554015305100170A000DFE00E06";
attribute INIT_12 of ram_1024_x_18 : label is  "0186055B018605200186056501860573018605690186056F0186054E01860520";
attribute INIT_13 of ram_1024_x_18 : label is  "01860574018605740186056F0186056301860553015305200186055D0186450F";
attribute INIT_14 of ram_1024_x_18 : label is  "0186052001860520018605200186052001860520018605200186052001860547";
attribute INIT_15 of ram_1024_x_18 : label is  "C408A4F01450A000015DC5C0A50FA000015DC580A50F51592510A00001860520";
attribute INIT_16 of ram_1024_x_18 : label is  "A0000197C490A4F8A000C49004F001A1016C04060406040604071450019D016C";
attribute INIT_17 of ram_1024_x_18 : label is  "050C015D0506015D052801A1016C042001A1016C01A6016C01AB016C043001AB";
attribute INIT_18 of ram_1024_x_18 : label is  "0406040704071450019D0197C490C40CA4F01450A00001A601A6015D0501015D";
attribute INIT_19 of ram_1024_x_18 : label is  "559EC001000BA000C490E401019DC490E401A000C49004F001A10197C4900406";
attribute INIT_1A of ram_1024_x_18 : label is  "A00055ACC30101A60314A00055A7C20101A10219A00055A2C101019D0128A000";
attribute INIT_1B of ram_1024_x_18 : label is  "4C0951C22A80CA01EC3E4C0151BD2A40DAC0ACC04C00A00055B1C40101AB0432";
attribute INIT_1C of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000008001AA3FCA02EC3F";
attribute INIT_1D of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_1E of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_1F of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_20 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_21 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_22 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_23 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_24 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_25 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_26 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_27 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_28 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_29 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_2A of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_2B of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_2C of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_2D of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_2E of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_2F of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_30 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_31 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_32 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_33 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_34 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_35 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_36 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_37 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_38 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_39 of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_3A of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_3B of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_3C of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_3D of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_3E of ram_1024_x_18 : label is  "0000000000000000000000000000000000000000000000000000000000000000";
attribute INIT_3F of ram_1024_x_18 : label is  "41B5000000000000000000000000000000000000000000000000000000000000";
attribute INITP_00 of ram_1024_x_18 : label is "30CDD0CDCDD00C0C34DA0F74DE30E0CD334CD3DDDDDDDDDD0C377788AA00000B";
attribute INITP_01 of ram_1024_x_18 : label is "37B7B7B7B78D1DD874D0DD78D236CD342CD342CD342CD3421D9B7DDDDDDD0340";
attribute INITP_02 of ram_1024_x_18 : label is "333CFFF3B8A3EA8F02C2C36CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCE2A9DD3EBB";
attribute INITP_03 of ram_1024_x_18 : label is "000000000000000000000000000000C2348D02DCB72DCB72D28E28FAA8F80BF3";
attribute INITP_04 of ram_1024_x_18 : label is "0000000000000000000000000000000000000000000000000000000000000000";
attribute INITP_05 of ram_1024_x_18 : label is "0000000000000000000000000000000000000000000000000000000000000000";
attribute INITP_06 of ram_1024_x_18 : label is "0000000000000000000000000000000000000000000000000000000000000000";
attribute INITP_07 of ram_1024_x_18 : label is "C000000000000000000000000000000000000000000000000000000000000000";
--
begin
--
  --Instantiate the Xilinx primitive for a block RAM
  ram_1024_x_18: RAMB16_S9_S18
  --synthesis translate_off
  --INIT values repeated to define contents for functional simulation
  generic map (INIT_00 => X"EF3DCFF2CFF9CFF80F000B000800070006000500040001000A000000C2FF0113",
               INIT_01 => X"AAFE603E4020AAFD603F50152A02541E2A01547F2A04C001EF000FFFCFF10F40",
               INIT_02 => X"50484B0550444B04503F4B03503A4B0250354B01504E4B0054662080501540FE",
               INIT_03 => X"0B0440150B7F501540000B0340150B7F5015407F0B02401550154B7F504B4B06",
               INIT_04 => X"5062C4014015D0E00B7F40151E000B064015CEE01E000B0540150B7F50154000",
               INIT_05 => X"0F7F50602F800F005C5D9FE00E0A0E064E081F60401550564280505642901600",
               INIT_06 => X"40150B00547040F7547442F0A30FA2F01300120040151450CA041700401516F0",
               INIT_07 => X"AAFB401515400401407D0402507C42D0507C42C019000B0040150B01541540F0",
               INIT_08 => X"50ED42B0510642A05097429050D34280A2F01210119054155DF04D02AF0F1F90",
               INIT_09 => X"1D608801509F483CF680C614C7F950D347004015510342E0510142D0510642C0",
               INIT_0A => X"1FD05CB09FE04E051FD0CFF401071FD050A92F801FD05CA69FE04E041FD0CDD0",
               INIT_0B => X"1FD0CFF601071FD050BD2F801FD05CBA9FE04E061FD0CFF501071FD050B32F80",
               INIT_0C => X"54CECD010D0CCFF80F0050154700CFF701071FD050C72F801FD05CC49FE04E07",
               INIT_0D => X"8E0150E65D801DE054E45F607FE00E0050EAC80150EA4800C6144015CFF80F01",
               INIT_0E => X"C7F354F146014015CFF80F0040A188017D80C80140D98E0140DD8D01FFD07FE0",
               INIT_0F => X"08005415467B4015C7FB54FD46114015C7FA54F946104015C7FC54F546404015",
               INIT_10 => X"0E060E060E068F0C41088E01590CCF0C0E0040154015C6F2C7F14015C7F040EA",
               INIT_11 => X"0186056C018605610186056E0186056F01860554015305100170A000DFE00E06",
               INIT_12 => X"0186055B018605200186056501860573018605690186056F0186054E01860520",
               INIT_13 => X"01860574018605740186056F0186056301860553015305200186055D0186450F",
               INIT_14 => X"0186052001860520018605200186052001860520018605200186052001860547",
               INIT_15 => X"C408A4F01450A000015DC5C0A50FA000015DC580A50F51592510A00001860520",
               INIT_16 => X"A0000197C490A4F8A000C49004F001A1016C04060406040604071450019D016C",
               INIT_17 => X"050C015D0506015D052801A1016C042001A1016C01A6016C01AB016C043001AB",
               INIT_18 => X"0406040704071450019D0197C490C40CA4F01450A00001A601A6015D0501015D",
               INIT_19 => X"559EC001000BA000C490E401019DC490E401A000C49004F001A10197C4900406",
               INIT_1A => X"A00055ACC30101A60314A00055A7C20101A10219A00055A2C101019D0128A000",
               INIT_1B => X"4C0951C22A80CA01EC3E4C0151BD2A40DAC0ACC04C00A00055B1C40101AB0432",
               INIT_1C => X"0000000000000000000000000000000000000000000000008001AA3FCA02EC3F",
               INIT_1D => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_1E => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_1F => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_20 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_21 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_22 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_23 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_24 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_25 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_26 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_27 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_28 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_29 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_2A => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_2B => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_2C => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_2D => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_2E => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_2F => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_30 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_31 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_32 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_33 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_34 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_35 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_36 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_37 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_38 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_39 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_3A => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_3B => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_3C => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_3D => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_3E => X"0000000000000000000000000000000000000000000000000000000000000000",
               INIT_3F => X"41B5000000000000000000000000000000000000000000000000000000000000",    
               INITP_00 => X"30CDD0CDCDD00C0C34DA0F74DE30E0CD334CD3DDDDDDDDDD0C377788AA00000B",
               INITP_01 => X"37B7B7B7B78D1DD874D0DD78D236CD342CD342CD342CD3421D9B7DDDDDDD0340",
               INITP_02 => X"333CFFF3B8A3EA8F02C2C36CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCE2A9DD3EBB",
               INITP_03 => X"000000000000000000000000000000C2348D02DCB72DCB72D28E28FAA8F80BF3",
               INITP_04 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INITP_05 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INITP_06 => X"0000000000000000000000000000000000000000000000000000000000000000",
               INITP_07 => X"C000000000000000000000000000000000000000000000000000000000000000")
  --synthesis translate_on
  port map(    DIB => "0000000000000000",
              DIPB => "00",
               ENB => '1',
               WEB => '0',
              SSRB => '0',
              CLKB => clk,
             ADDRB => address,
               DOB => instruction(15 downto 0),
              DOPB => instruction(17 downto 16),
               DIA => jdata,
              DIPA => jparity,
               ENA => sel1,
               WEA => '1',
              SSRA => '0',
              CLKA => update,
             ADDRA => jaddr,
               DOA => doa(7 downto 0),
              DOPA => dopa); 
  v2_bscan: BSCAN_VIRTEX2 
  port map(   TDO1 => tdo1,
         TDO2 => tdo2,
            UPDATE => update,
             SHIFT => shift,
             RESET => reset,
               TDI => tdi,
              SEL1 => sel1,
             DRCK1 => drck1,
              SEL2 => sel2,
             DRCK2 => drck2,
      CAPTURE => capture);
  --buffer signal used as a clock
  upload_clock: BUFG
  port map( I => drck1,
            O => drck1_buf);
  -- Assign the reset to be active whenever the uploading subsystem is active
  proc_reset <= sel1;
  srlC1: SRLC16E
  --synthesis translate_off
  generic map (INIT => X"0000")
  --synthesis translate_on
  port map(   D => tdi,
             CE => '1',
            CLK => drck1_buf,
             A0 => '1',
             A1 => '0',
             A2 => '1',
             A3 => '1',
              Q => jaddr(10),
            Q15 => jaddr(8));
  flop1: FD
  port map ( D => jaddr(10),
             Q => jaddr(9),
             C => drck1_buf);
  srlC2: SRLC16E
  --synthesis translate_off
  generic map (INIT => X"0000")
  --synthesis translate_on
  port map(   D => jaddr(8),
             CE => '1',
            CLK => drck1_buf,
             A0 => '1',
             A1 => '0',
             A2 => '1',
             A3 => '1',
              Q => jaddr(7),
            Q15 => tap5);
  flop2: FD
  port map ( D => jaddr(7),
             Q => jaddr(6),
             C => drck1_buf);
  srlC3: SRLC16E
  --synthesis translate_off
  generic map (INIT => X"0000")
  --synthesis translate_on
  port map(   D => tap5,
             CE => '1',
            CLK => drck1_buf,
             A0 => '1',
             A1 => '0',
             A2 => '1',
             A3 => '1',
              Q => jaddr(5),
            Q15 => jaddr(3));
  flop3: FD
  port map ( D => jaddr(5),
             Q => jaddr(4),
             C => drck1_buf);
  srlC4: SRLC16E
  --synthesis translate_off
  generic map (INIT => X"0000")
  --synthesis translate_on
  port map(   D => jaddr(3),
             CE => '1',
            CLK => drck1_buf,
             A0 => '1',
             A1 => '0',
             A2 => '1',
             A3 => '1',
              Q => jaddr(2),
            Q15 => tap11);
  flop4: FD
  port map ( D => jaddr(2),
             Q => jaddr(1),
             C => drck1_buf);
  srlC5: SRLC16E
  --synthesis translate_off
  generic map (INIT => X"0000")
  --synthesis translate_on
  port map(   D => tap11,
             CE => '1',
            CLK => drck1_buf,
             A0 => '1',
             A1 => '0',
             A2 => '1',
             A3 => '1',
              Q => jaddr(0),
            Q15 => jdata(7));
  flop5: FD
  port map ( D => jaddr(0),
             Q => jparity(0),
             C => drck1_buf);
  srlC6: SRLC16E
  --synthesis translate_off
  generic map (INIT => X"0000")
  --synthesis translate_on
  port map(   D => jdata(7),
             CE => '1',
            CLK => drck1_buf,
             A0 => '1',
             A1 => '0',
             A2 => '1',
             A3 => '1',
              Q => jdata(6),
            Q15 => tap17);
  flop6: FD
  port map ( D => jdata(6),
             Q => jdata(5),
             C => drck1_buf);
  srlC7: SRLC16E
  --synthesis translate_off
  generic map (INIT => X"0000")
  --synthesis translate_on
  port map(   D => tap17,
             CE => '1',
            CLK => drck1_buf,
             A0 => '1',
             A1 => '0',
             A2 => '1',
             A3 => '1',
              Q => jdata(4),
            Q15 => jdata(2));
  flop7: FD
  port map ( D => jdata(4),
             Q => jdata(3),
             C => drck1_buf);
  srlC8: SRLC16E
  --synthesis translate_off
  generic map (INIT => X"0000")
  --synthesis translate_on
  port map(   D => jdata(2),
             CE => '1',
            CLK => drck1_buf,
             A0 => '1',
             A1 => '0',
             A2 => '1',
             A3 => '1',
              Q => jdata(1),
            Q15 => tdo1);
  flop8: FD
  port map ( D => jdata(1),
             Q => jdata(0),
             C => drck1_buf);
end low_level_definition;
--
------------------------------------------------------------------------------------
--
-- END OF FILE midictrl.vhd
--
------------------------------------------------------------------------------------
